Subsumption
Keywords: uk.ac.ic.doc.automed.matching.relationships.Subsumption class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching.relationships
Class Subsumption

    java.lang.Object
      uk.ac.ic.doc.automed.matching.relationships.SemanticRelationship
          uk.ac.ic.doc.automed.matching.relationships.Subsumption

Direct Known Subclasses:
  Subset, Superset

    public abstract class Subsumption

extends SemanticRelationship

The Subsumption class represents the subsumption semantic relationship between `SchemaElement` objects. This is an abstract class. For instances of this class look at the subclasses `Subset`,`Superset`.

Constructor Summary
`Subsumption()`

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares this object against the specified object.
`protected int` | `getStrength()` Returns the strength of the `SemanticRelationship` object.

Methods inherited from class uk.ac.ic.doc.automed.matching.relationships.SemanticRelationship
`getName, getSemanticRelationship, isStronger, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Subsumption

    public Subsumption()

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Description copied from class: `SemanticRelationship`
  Compares this object against the specified object.

  Specified by:
    `equals` in class `SemanticRelationship`
  Returns:
    `true` if the objects are the same, `false` otherwise.

### getStrength

    protected int getStrength()

  Description copied from class: `SemanticRelationship`
  Returns the strength of the `SemanticRelationship` object.

  Specified by:
    `getStrength` in class `SemanticRelationship`
  Returns:
    the strength of the `SemanticRelationship` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD